%define oname xfce4-xmms-plugin

Summary:    XMMS control plugin for the Xfce panel
Name:       xfce-xmms-plugin
Version:    0.4.0
Release:    %mkrel 1
License:    BSD
Group:      Graphical desktop/Xfce
URL:        http://goodies.xfce.org/projects/panel-plugins
Source0:    xfce4-xmms-plugin-%{version}.tar.bz2
Group:      Graphical desktop/Xfce
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   xfce-panel >= 4.3.90.2
Requires:   xmms
BuildRequires:  xfce-panel-devel >= 4.3.90.2
BuildRequires:  xmms-devel
BuildRequires:  perl-XML-Parser


%description
An XMMS control panel plugin for the Xfce Desktop Environment.


%prep
%setup -q -n %{oname}-%{version}
 
%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.*a

%find_lang %{oname} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS INSTALL
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%dir %{_datadir}/xfce4/xfce4-xmms-plugin
%{_datadir}/xfce4/xfce4-xmms-plugin/*

%changelog
* Sun Aug 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0
- bump R and BR for panel
- drop patch
- update URL
- clean-up

* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.20060211.3mdv2007.0
- rebuild for xfce-4.3.90.2

* Sun Feb 12 2006 Marcel Pol <mpol@mandriva.org> 0.3.2-0.20060211.2mdk
- buildrequires perl-XML-Parser

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 0.3.2-0.20060211.1mdk
- 0.3.2 from svn on 20060211
- buildrequire new panel >= 4.3.0
- update filelist
- change name in the desktop file

* Wed Jul 27 2005 Marcel Pol <mpol@mandrake.org> 0.3.1-1mdk
- 0.3.1
- %%mkrel
- fix file naming and locations

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.1.1-3mdk
- group: Graphical desktop/Xfce

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 0.1.1-2mdk
- reenable libtoolize
- build against new panel

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 0.1.1-1mdk
- initial mandrake package

